<div class="campaign-container mt-3">

    <div class="d-flex align-items-center justify-content-end">
        <div class="ml-3">
            <button mat-raised-button color="accent" (click)="create()">
                Create Campaign
            </button>
        </div>
    </div>

    <div class="mt-2">

        <app-grid-no-data *ngIf="!campaigns || campaigns.length === 0"
                          title="You haven’t sent an SMS or Email or added a communication note."
                          description="You can start sending SMS or Email for this patient or their contacts By click on Send SMS or Email button. You can also add a note about an conversation you had with this patient here."
        >
        </app-grid-no-data>

        <kendo-grid *ngIf="campaigns && campaigns.length > 0" [data]="gridView" [pageSize]="pageSize"
                    [skip]="skip" [pageable]="true" [columnMenu]="false"
                    [filterable]="true" [filter]="state.filter"
                    (dataStateChange)="dataStateChange($event)" [groupable]="false"
                    [reorderable]="reorder" [sortable]="{
              allowUnsort: allowUnsort,
              mode: multiple ? 'multiple' : 'single'
            }" [sort]="sort" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)">

            <kendo-grid-column field="type" title="Type" [width]="100">
            </kendo-grid-column>

            <kendo-grid-column field="createdDateStr" title="Date Time" [width]="180">
            </kendo-grid-column>

            <kendo-grid-column field="campaignName" title="Campaign Name" [width]="200">
            </kendo-grid-column>

            <kendo-grid-column field="senderName" title="Sender" [width]="200">
            </kendo-grid-column>

            <kendo-grid-column field="listName" title="List Name" [width]="100">
            </kendo-grid-column>

            <kendo-grid-column field="totalContact" title="Total Contact" [width]="100">
            </kendo-grid-column>

            <kendo-grid-column field="autoDeleteDateStr" title="Auto Deleted After" [width]="150">
            </kendo-grid-column>

            <kendo-grid-column field="statusStr" title="Status" [width]="100">
            </kendo-grid-column>

            <kendo-grid-column title="Action" [width]="80">
                <ng-template kendoGridCellTemplate let-dataItems>
                    <button (click)="openActionPopup(dataItems, $event)"
                            class="item-setting-btn border-0 bg-transparent cursor-pointer">
                        <mat-icon class="m-0" style="color: #979797;">settings</mat-icon>
                    </button>
                </ng-template>
            </kendo-grid-column>

        </kendo-grid>
    </div>

</div>

<dx-popover #actionPopup class="grid-action-popup" position="top" [width]="176" [height]="'auto'"
            [shading]="false" [position]="{my: 'right top', at: 'right bottom'}">
    <div *dxTemplate="let data of 'content'">
        <button *ngIf="actionItem.status === UnSend" class="grid-action-popup-button text-left"
                (click)="doAction(EDIT)">
            <mat-icon>edit</mat-icon>
            <span>Edit</span>
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(PRINT)">
            <mat-icon>print</mat-icon>
            <span>Print</span>
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(COPY)">
            <mat-icon>content_copy</mat-icon>
            <span>Copy</span>
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(DELETE)">
            <mat-icon>delete</mat-icon>
            <span>Delete</span>
        </button>
    </div>
</dx-popover>

<ng-template #duplicateDialog>
    <div style="padding: 20px;">
        Click "Yes", to create a duplicate Campaign.
    </div>
</ng-template>
